Use the thread-safe GEOS API #4738

Closed
wants to merge 4 commits into
from

Projects

None yet

1 participant

@tbonfort
Member

Due to conflicts in error handlers between OGR and MapServer, we need to upgrade mapserver to use GEOS's thread-safe API (in order to use an application specific handle instead of globally setting GEOS's error handlers). c.f. #4733 . This will imply that 3.1.0 becomes the minimal supported GEOS version.
GDAL/OGR also made the same switch: http://lists.osgeo.org/pipermail/gdal-dev/2013-August/036877.html

@tbonfort tbonfort was assigned Aug 19, 2013
@tbonfort
Member

applied to master in c626baa

@tbonfort tbonfort closed this Aug 19, 2013
@tbonfort tbonfort deleted the tbonfort:b4738-geos-threadsafe branch Aug 19, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment